import { TypedEmitter, TypedEvents } from '@ztimson/utils';
import { Api } from './api';
export type PaymentEvents = TypedEvents & {
    'create': (amount: number, custom: any, token: string) => any;
    'complete': (token: string, response: any) => any;
    'history': (username: string | null, history: any[]) => void;
};
export declare class Payments extends TypedEmitter<PaymentEvents> {
    private readonly api;
    stripe: any;
    constructor(api: Api | string, secret: string);
    private create;
    createForm(element: string, amount: number, custom?: any): Promise<() => Promise<any>>;
    history(username?: string): Promise<any[]>;
}
//# sourceMappingURL=payments.d.ts.map