import { Api } from './api';
import { PromiseProgress, TypedEmitter, TypedEvents } from '@ztimson/utils';
export type StaticEvents = TypedEvents & {
    delete: (path: string) => any;
    upload: (files: string[]) => any;
};
export declare class Static extends TypedEmitter<StaticEvents> {
    private readonly api;
    constructor(api: Api | string);
    delete(path: string): Promise<void>;
    upload(files: File | File[], path?: string): PromiseProgress<string[]>;
}
//# sourceMappingURL=static.d.ts.map